*** a/src/backend/commands/vacuumlazy.c
--- b/src/backend/commands/vacuumlazy.c
***************
*** 482,487 **** lazy_scan_heap(Relation onerel, LVRelStats *vacrelstats,
--- 482,488 ----
  		bool		all_visible;
  		bool		has_dead_tuples;
  		TransactionId visibility_cutoff_xid = InvalidTransactionId;
+ 		TransactionId unused;
  
  		if (blkno == next_not_all_visible_block)
  		{
***************
*** 676,682 **** lazy_scan_heap(Relation onerel, LVRelStats *vacrelstats,
  		 * We count tuples removed by the pruning step as removed by VACUUM.
  		 */
  		tups_vacuumed += heap_page_prune(onerel, buf, OldestXmin, false,
! 										 &vacrelstats->latestRemovedXid);
  
  		/*
  		 * Now scan the page to collect vacuumable items and check for tuples
--- 677,683 ----
  		 * We count tuples removed by the pruning step as removed by VACUUM.
  		 */
  		tups_vacuumed += heap_page_prune(onerel, buf, OldestXmin, false,
! 										 &unused);
  
  		/*
  		 * Now scan the page to collect vacuumable items and check for tuples
